Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeOperationsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.management.JMRuntimeException
                              |
                              +--javax.management.RuntimeOperationsException

public class RuntimeOperationsException
extends javax.management.JMRuntimeException

This class represents runtime exceptions thrown in the agent when performing operations on MBeans. It wraps the actual java.lang.RuntimeException thrown.

See Also:
  Serialized Form

Constructor Summary
`RuntimeOperationsException(java.lang.RuntimeException e)` Creates a RuntimeOperationsException that wraps the actual java.lang.RuntimeException.
`RuntimeOperationsException(java.lang.RuntimeException e, java.lang.String message)` Creates a RuntimeOperationsException that wraps the actual java.lang.RuntimeException with a detail message.

Method Summary
`java.lang.RuntimeException` | `getTargetException()` Returns the actual java.lang.RuntimeException thrown

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeOperationsException

    public RuntimeOperationsException(java.lang.RuntimeException e)

  Creates a RuntimeOperationsException that wraps the actual java.lang.RuntimeException.

### RuntimeOperationsException

    public RuntimeOperationsException(java.lang.RuntimeException e,
                                      java.lang.String message)

  Creates a RuntimeOperationsException that wraps the actual java.lang.RuntimeException with a detail message.

Method Detail

### getTargetException

    public java.lang.RuntimeException getTargetException()

  Returns the actual java.lang.RuntimeException thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD